%define _disable_ld_no_undefined 1

Summary:	Gamecube / Wii / Triforce Emulator
Name:		dolphin-emu
Version:	4.0.2
Release:	%mkrel 1
License:	GPLv2+
Packager:   Agent Smith (ruidobranco@yahoo.com.br)
Group:		Emulators
Url:		http://www.dolphin-emulator.com/
# Fetched from git and cleaned up from useless junk
Source0:	%{name}-%{version}.tar.xz
Source9:	%{name}-256.png
Source10:	%{name}-128.png
Source11:	%{name}-64.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
Patch0:		dolphin-emu-cmakepath.patch
Patch1:		dolphin-emu-4.0.2-gcc4.9.patch
Patch2:		dolphin-emu-4.0.2-static.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
#---------------------------------------------
BuildRequires: cmake
BuildRequires: git
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}ao-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}bluez-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glew-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}lzo-devel
BuildRequires: %{_lib}mesaglu1-devel 
BuildRequires: %{_lib}openal-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel 
BuildRequires: %{_lib}polarssl-devel
BuildRequires: %{_lib}portaudio-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}sdl2.0-devel
BuildRequires: %{_lib}sfml-devel
BuildRequires: %{_lib}usb1.0-devel
BuildRequires: %{_lib}wxgtku2.8-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xfixes-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: libgomp-devel
BuildRequires: mesa-devel
BuildRequires: x11-proto-devel
BuildRequires: zlib1-devel

#---------------------------------------------

%description
Gamecube / Wii / Triforce Emulator.



#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%cmake
%make VERBOSE=1

%install
%makeinstall_std -C build

install -D -m 644 %{SOURCE13} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m 644 %{SOURCE12} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m 644 %{SOURCE11} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -D -m 644 %{SOURCE10} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -D -m 644 %{SOURCE9} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Dolphin-Emulator
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
EOF



%find_lang %{name}
%files -f %{name}.lang
%doc license.txt Readme.txt
%attr(0755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/libpolarssl.a
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Thu Jul 15 2015 Agent Smith <ruidobranco@yahoo.com.br> 4.0.2-1pclos2015
- Adapted from a spec of Rosa Labs Linux, created the package dolphin-emu4.0.2-1pclos2015 with latest source.


